package com.ibm.etools.iseries.examples.toolboxdemo;


// Licensed Material - Property of IBM
// (C) Copyright IBM Corp. 1997, 1998 - All Rights Reserved
//
// DISCLAIMER:
// The following [enclosed] code is sample code created by IBM
// Corporation.  This sample code is not part of any standard IBM product
// and is provided to you solely for the purpose of assisting you in the
// development of your applications.  The code is provided 'AS IS',
// without warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have been
// advised of the possibility of such damages.


import com.ibm.as400.access.*;
import javax.swing.*;
import java.awt.*;




// Class services a TextField
public class RunCmd extends Thread
{
	private JavaApplicationCall	jCall;
	private JTextArea			out;
	private TextField			status;

















































   public RunCmd(JavaApplicationCall c, JTextArea o, TextField t)
   {
	  jCall=c;
	  out=o;
	  status=t;
	  setName("AS/400 Call thread");
   }
// Execute command
public void run() {
	try {
		status.setText("In call ....");
		if (jCall.run() != true) {
			AS400Message[] messageList = jCall.getMessageList();
			for (int msg = 0; msg < messageList.length; msg++)
				out.append("AS/400 msg:" + messageList[msg].toString() + "\n");
			out.append("<=\n");
		} else
			out.append("<=\n");
	} catch (Exception ee) {
		out.append("Exception: " + ee.toString() + "\n");
	};
	status.setText("Idle.");
}
}
