package com.ibm.etools.iseries.examples.objectList.recordList;

/**
 * Licensed Material - Property of IBM
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved
 *
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation.  This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications.  The code is provided 'AS IS',
 * without warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have been
 * advised of the possibility of such damages.
 *
 * @version 1.0 02/02/02
 * @version 2.0 11/20/02
 * @author Rick Sowa
 */
import java.awt.*;
import javax.swing.*;

public class RecordListAboutBox extends JDialog {

	public String SL = new String(java.lang.System.getProperty("file.separator"));
	public String CurrDir = new String(java.lang.System.getProperty("user.dir"));

	public String theICONname = new String("listinfo.gif");
	public String theICONpath = "";
	public String theRUNBUTTpath =
					"eclipse"+SL+
					"plugins"+SL+
					"com.ibm.etools.iseries.javatools"+SL;
	public String theWSpath = 
					"jtbeansExamples"+SL;
	public String theENDINGpath = 
					"com"+SL+
					"ibm"+SL+
					"etools"+SL+
					"iseries"+SL+
					"examples"+SL+
					"objectList"+SL+
					"recordList"+SL;

class IvjEventHandler implements java.awt.event.ActionListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == RecordListAboutBox.this.getOkButton()) 
				close(e);
		};
	};
	private JLabel ivjAppName = null;
	private JPanel ivjButtonPane = null;
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private JLabel ivjIconLabel = null;
	private JPanel ivjIconPane = null;
	private JPanel ivjJDialogContentPane = null;
	private JButton ivjOkButton = null;
	private JLabel ivjSpacer = null;
	private JPanel ivjTextPane = null;
	private GridLayout ivjTextPaneGridLayout = null;
	private JLabel ivjUserName = null;
	private JLabel ivjVersion = null;
/**
 * RecordListAboutBox constructor comment.
 */
public RecordListAboutBox() {
	super();
	initialize();
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Dialog
 */
public RecordListAboutBox(Dialog owner) {
	super(owner);
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Dialog
 * @param title java.lang.String
 */
public RecordListAboutBox(Dialog owner, String title) {
	super(owner, title);
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Dialog
 * @param title java.lang.String
 * @param modal boolean
 */
public RecordListAboutBox(Dialog owner, String title, boolean modal) {
	super(owner, title, modal);
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Dialog
 * @param modal boolean
 */
public RecordListAboutBox(Dialog owner, boolean modal) {
	super(owner, modal);
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Frame
 */
public RecordListAboutBox(Frame owner) {
	super(owner);
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Frame
 * @param title java.lang.String
 */
public RecordListAboutBox(Frame owner, String title) {
	super(owner, title);
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Frame
 * @param title java.lang.String
 * @param modal boolean
 */
public RecordListAboutBox(Frame owner, String title, boolean modal) {
	super(owner, title, modal);
}
/**
 * RecordListAboutBox constructor comment.
 * @param owner java.awt.Frame
 * @param modal boolean
 */
public RecordListAboutBox(Frame owner, boolean modal) {
	super(owner, modal);
}
/**
 * Close
 * @param arg1 java.awt.event.ActionEvent
 */
private void close(java.awt.event.ActionEvent arg1) {
	try {
		getToolkit().beep();
		this.dispose();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
}
/**
 * Return the ButtonPane property value.
 * @return javax.swing.JPanel
 */
private javax.swing.JPanel getButtonPane() {
	if (ivjButtonPane == null) {
		try {
			ivjButtonPane = new javax.swing.JPanel();
			ivjButtonPane.setName("ButtonPane");
			ivjButtonPane.setLayout(new java.awt.FlowLayout());
			getButtonPane().add(getOkButton(), getOkButton().getName());
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
	}
	return ivjButtonPane;
}
/**
 * Return the IconLabel property value.
 * @return javax.swing.JLabel
 */
private javax.swing.JLabel getIconLabel() {
	if (ivjIconLabel == null) {
		ImageIcon II = null;
		try {
			ivjIconLabel = new javax.swing.JLabel();
			ivjIconLabel.setName("IconLabel");
			ivjIconLabel.setText("");
			
			CurrDir = CurrDir+SL;
			theICONpath = CurrDir+theENDINGpath;
			
		    II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));

			if (II.getImageLoadStatus() != java.awt.MediaTracker.COMPLETE)
				{
				theICONpath = ".."+SL+theRUNBUTTpath+theENDINGpath;
				II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));

			if (II.getImageLoadStatus() != java.awt.MediaTracker.COMPLETE)
				{
				theICONpath = ".."+SL+theENDINGpath;
				II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));

			if (II.getImageLoadStatus() != java.awt.MediaTracker.COMPLETE)
				{
				theICONpath = CurrDir+theRUNBUTTpath+theENDINGpath;
				II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));

			if (II.getImageLoadStatus() != java.awt.MediaTracker.COMPLETE)
				{
				theICONpath = CurrDir+theRUNBUTTpath;
				II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));

			if (II.getImageLoadStatus() != java.awt.MediaTracker.COMPLETE)
				{
				theICONpath = ".."+SL+theWSpath+theENDINGpath;//WORKS FOR WORKSPACE 
				II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));

			if (II.getImageLoadStatus() != java.awt.MediaTracker.COMPLETE)
				{
				theICONpath = CurrDir+theRUNBUTTpath+theWSpath+theENDINGpath;
				II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));

			if (II.getImageLoadStatus() != java.awt.MediaTracker.COMPLETE)
				{
				theICONpath = CurrDir;
				II = new ImageIcon(getToolkit().getImage(theICONpath+theICONname));
				}						
				}
				}				
				}
				}
				}
				}
			} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
			}
		ivjIconLabel. setIcon(II);
		}
	getToolkit().beep();
	return ivjIconLabel;
}

/**
 * Return the IconPane property value.
 * @return javax.swing.JPanel
 */
private javax.swing.JPanel getIconPane() {
	if (ivjIconPane == null) {
		try {
			ivjIconPane = new javax.swing.JPanel();
			ivjIconPane.setName("IconPane");
			ivjIconPane.setLayout(new java.awt.FlowLayout());
			getIconPane().add(getIconLabel(), getIconLabel().getName());
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
	}
	return ivjIconPane;
}
/**
 * Return the JDialogContentPane property value.
 * @return javax.swing.JPanel
 */
private javax.swing.JPanel getJDialogContentPane() {
	if (ivjJDialogContentPane == null) {
		try {
			ivjJDialogContentPane = new javax.swing.JPanel();
			ivjJDialogContentPane.setName("JDialogContentPane");
			ivjJDialogContentPane.setLayout(new java.awt.BorderLayout());
			getJDialogContentPane().add(getButtonPane(), "South");
			getJDialogContentPane().add(getIconPane(), "West");
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
	}
	return ivjJDialogContentPane;
}
/**
 * Return the OkButton property value.
 * @return javax.swing.JButton
 */
private javax.swing.JButton getOkButton() {
	if (ivjOkButton == null) {
		try {
			ivjOkButton = new javax.swing.JButton();
			ivjOkButton.setName("OkButton");
			ivjOkButton.setText("OK");
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
	}
	return ivjOkButton;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {
	System.out.println("--------- EXCEPTION ---------");
	exception.printStackTrace(System.out);
}
/**
 * Initializes connections
 * @exception java.lang.Exception The exception description.
 */
private void initConnections() throws java.lang.Exception {
	getOkButton().addActionListener(ivjEventHandler);
}
/**
 * Initialize the class.
 */
private void initialize() {
	try {
		setName("RecordListAboutBox");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setSize(798, 601);
		setTitle("RecordListAboutBox");
		setContentPane(getJDialogContentPane());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
}
/**
 * main entrypoint - starts the part when it is run as an application
 * @param args java.lang.String[]
 */
public static void main(java.lang.String[] args) {
	try {
		RecordListAboutBox aRecordListAboutBox;
		aRecordListAboutBox = new RecordListAboutBox();
		aRecordListAboutBox.setModal(true);
		aRecordListAboutBox.addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				System.exit(0);
			};
		});
		aRecordListAboutBox.setLocation(0,0);
		aRecordListAboutBox.show();
		aRecordListAboutBox.setSize(aRecordListAboutBox.getWidth(), aRecordListAboutBox.getHeight());
		aRecordListAboutBox.setVisible(true);
	} catch (Throwable exception) {
		System.err.println("Exception occurred in main() of RecordListAboutBox.");
		exception.printStackTrace(System.out);
	}
}
}
