<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>
<SCRIPT language="javascript">
/*-------------------------------------------------------------------------------
 * Function: showHideDivSection
 *    Shows/hides a section in the error page.
 *-----------------------------------------------------------------------------*/
function showHideDivSection(lnk, divSectionId) {
   var lnkDisplayText = lnk.innerHTML; 
   var e = document.getElementById(divSectionId);
   if (lnkDisplayText == '+') { 
      lnk.title = 'hide';
      e.style.display = 'block'; 
      lnk.innerHTML = '&#8722;'; 
   }
   else { 
      lnk.title = 'show';
      e.style.display = 'none';
      lnk.innerHTML = '+';       
   }
}
</SCRIPT>
<%@ page 
language="java"
contentType="text/html; charset=UTF-8"
%>
<%@ page isErrorPage="true" %>
<%@ page import="com.ibm.iseries.webint.WebIntRuntimeSupport" %>
<TITLE>Error</TITLE>
</HEAD>
<BODY>
<% WebIntRuntimeSupport webintRT = WebIntRuntimeSupport.getInstance(session, false); %>

<%-- Output the title --%>
<hr>
<span style="font-weight:normal; font-size:16pt;">
<%  if (webintRT != null) { %>
<%=     webintRT.getErrorPageTitleContent() %>
<%  } %>
</span>
<hr>
<br>

<%-- Output the details of the error --%>
<%  if (webintRT != null) { %>
<%=     webintRT.getErrorPageMessageContent() %>
<%  } %>
<br>

<%-- Output the details of the Web request --%>
<div >
   <table border="0" cellspacing="0" cellpadding="2" style="background:#e5e5e5" width="100%">
      <tr>
         <td align="left">
            [<a title="show" id="requestDetailsLink" style="text-decoration:none;" href="javascript: void(0);" onclick="showHideDivSection(this, 'requestDetails');">+</a>]&nbsp;
            <SPAN style="font-weight:bold;">
               <%  if (webintRT != null) { %>
               <%=     webintRT.getErrorPageRequestDetailsHeadingContent() %>
               <%  } %>
            </SPAN>
         </td>
      </tr>
   </table>
   <div id="requestDetails" style="display:none">
      <%  if (webintRT != null) { %>
      <%=     webintRT.getErrorPageRequestDetailsContent() %>
      <%  } %>
   </div>
</div>
<br>

<%-- Output the details of the stack trace --%>
<div >
   <table border="0" cellspacing="0" cellpadding="2" style="background:#e5e5e5" width="100%">
      <tr>
         <td align="left">
            [<a title="show" id="stackTraceLink" style="text-decoration:none;" href="javascript: void(0);" onclick="showHideDivSection(this, 'stackTrace');">+</a>]&nbsp; 
            <SPAN style="font-weight:bold;">
               <%  if (webintRT != null) { %>
               <%=     webintRT.getErrorPageStackTraceHeadingContent() %>
               <%  } %>
            </SPAN>
         </td>
      </tr>
   </table>
   <div id="stackTrace" style="display:none">
      <%  if (webintRT != null) { %>
      <%=     webintRT.getErrorPageStackTraceContent() %>
      <%  } %>
   </div>
</div>
<br>

<%-- Output the details of the iSeries job log --%>
<div >
   <table border="0" cellspacing="0" cellpadding="2" style="background:#e5e5e5" width="100%">
      <tr>
         <td align="left">
           [<a title="show" id="jobLogLink" style="text-decoration:none;" href="javascript: void(0);" onclick="showHideDivSection(this, 'jobLog');">+</a>]&nbsp; 
           <SPAN style="font-weight:bold;">
              <%  if (webintRT != null) { %>
              <%=     webintRT.getErrorPageJobLogHeadingContent() %>
              <%  } %>
           </SPAN>
         </td>
      </tr>
   </table>
   <div id="jobLog" style="display:none">
      <%  if (webintRT != null) { %>
      <%=     webintRT.getErrorPageJobLogContent() %>
      <%  } %> 
   </div>
</div>
<br>

<hr>
</BODY>
</HTML>

